pathinfo
popen
Filesystem Functions
PHP Manual

# pclose

(PHP 4, PHP 5)

pclose — Closes process file pointer

### Description

int pclose ( resource `$handle` )

Closes a file pointer to a pipe opened by popen().

### Parameters

`handle`

  The file pointer must be valid, and must have been returned by a successful call to popen().

### Return Values

Returns the termination status of the process that was run. In case of an error then -1 is returned.

### Examples

Example #1 pclose() example

`<?php
$handle = popen('/bin/ls', 'r');
pclose($handle);
?>`

### Notes

> Note: Unix Only:

> proc_close() is internally implemented using the waitpid(3) system call. To obtain the real exit status code the pcntl_wexitstatus() function should be used.

### See Also

- popen() - Opens process file pointer

pathinfo
popen
Filesystem Functions
PHP Manual